com.impinj.octane

## Enum GpoMode

- java.lang.Object
- - java.lang.Enum<GpoMode>
  - - com.impinj.octane.GpoMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GpoMode>

      public enum GpoMode
      extends java.lang.Enum<GpoMode>

  An enumeration that holds the possible GPO configuration values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LLRPConnectionStatus` GPO automatically mimics the reader connection status
    `NetworkConnectionStatus` GPO automatically mimics the reader network status
    `Normal` GPO must be set high and low through GPO config
    `Pulsed` When set high, GPO will remain for a duration and the return low
    `ReaderInventoryStatus` GPO automatically mimics the reader inventory status
    `ReaderInventoryTagsStatus` GPO automatically mimics the reader inventory tag status
    `ReaderOperationalStatus` GPO automatically mimics the reader operation status

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static GpoMode` | `valueOf(int gpoModeValue)`
    `static GpoMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GpoMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Normal

          public static final GpoMode Normal

      GPO must be set high and low through GPO config

    - #### Pulsed

          public static final GpoMode Pulsed

      When set high, GPO will remain for a duration and the return low

    - #### ReaderOperationalStatus

          public static final GpoMode ReaderOperationalStatus

      GPO automatically mimics the reader operation status

    - #### LLRPConnectionStatus

          public static final GpoMode LLRPConnectionStatus

      GPO automatically mimics the reader connection status

    - #### ReaderInventoryStatus

          public static final GpoMode ReaderInventoryStatus

      GPO automatically mimics the reader inventory status

    - #### NetworkConnectionStatus

          public static final GpoMode NetworkConnectionStatus

      GPO automatically mimics the reader network status

    - #### ReaderInventoryTagsStatus

          public static final GpoMode ReaderInventoryTagsStatus

      GPO automatically mimics the reader inventory tag status

  - ### Method Detail

    - #### values

          public static GpoMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GpoMode c : GpoMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GpoMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static GpoMode valueOf(int gpoModeValue)

      Parameters:
        `gpoModeValue` - the integer value of the GPO mode
      Returns:
        the GpoMode object corresponding to the integer value

    - #### getValue

          public int getValue()

      Returns:
        the enumeration object value as an integer